local L, shortNumber, matchDigit, matchDigits, printTable, SPELL_COMBO_POINTS, comboMatch, comboHelper, strstarts = SD.L, SD.shortNumber, SD.matchDigit, SD.matchDigits, SD.printTable, SD.SPELL_COMBO_POINTS, SD.comboMatch, SD.comboHelper, SD.strstarts
local SpellUnknown, SpellEmpty, SpellDamage, SpellTimeDamage, SpellHeal, SpellTimeHeal, SpellMana, SpellTimeMana, SpellAbsorb = SD.SpellUnknown, SD.SpellEmpty, SD.SpellDamage, SD.SpellTimeDamage, SD.SpellHeal, SD.SpellTimeHeal, SD.SpellMana, SD.SpellTimeMana, SD.SpellAbsorb
local SpellDamageAndTimeDamage, SpellDamageAndMana, SpellHealAndMana, SpellHealAndTimeHeal, SpellDamageAndHeal, SpellTimeDamageAndTimeHeal, SpellDamageAndTimeHeal, SpellManaAndTimeMana, SpellTimeHealAndTimeMana, SpellAbsorbAndHeal = SD.SpellDamageAndTimeDamage, SD.SpellDamageAndMana, SD.SpellHealAndMana, SD.SpellHealAndTimeHeal, SD.SpellDamageAndHeal, SD.SpellTimeDamageAndTimeHeal, SD.SpellDamageAndTimeHeal, SD.SpellManaAndTimeMana, SD.SpellTimeHealAndTimeMana, SD.SpellAbsorbAndHeal
local SpellData, Class, ClassSpells, ClassItems = SD.SpellData, SD.Class, SD.ClassSpells, SD.ClassItems
local SpellParser, SimpleParser, SimpleDamageParser, SimpleTimeDamageParser, SimpleHealParser, SimpleTimeHealParser, SimpleManaParser, SimpleTimeManaParser, SimpleAbsorbParser, SimpleDamageParser2, SimpleTimeDamageParser2, SimpleHealParser2, SimpleTimeHealParser2, SimpleManaParser2, SimpleAbsorbParser2, DoubleParser, DoubleDamageParser, DoubleHealManaParser, MultiParser, AverageParser, SimpleAverageParser, CustomParser = SD.SpellParser, SD.SimpleParser, SD.SimpleDamageParser, SD.SimpleTimeDamageParser, SD.SimpleHealParser, SD.SimpleTimeHealParser, SD.SimpleManaParser, SD.SimpleTimeManaParser, SD.SimpleAbsorbParser, SD.SimpleDamageParser2, SD.SimpleTimeDamageParser2, SD.SimpleHealParser2, SD.SimpleTimeHealParser2, SD.SimpleManaParser2, SD.SimpleAbsorbParser2, SD.DoubleParser, SD.DoubleDamageParser, SD.DoubleHealManaParser, SD.MultiParser, SD.AverageParser, SD.SimpleAverageParser, SD.CustomParser
local Glyphs = SD.Glyphs

--

if GetLocale() ~= "ruRU" then return end

local SleepingPotion = DoubleParser:create(SpellHealAndMana, 2, 3)
local HealAndMana = MultiParser:create(SpellHealAndMana, {1}, function(data, match)
	data.heal = match[1]
	data.mana = match[1]
end)
local TimeHealAndTimeMana = MultiParser:create(SpellHealAndMana, {1}, function(data, match)
	data.timeHeal = match[1]
	data.timeMana = match[1]
end)
local DoubleTimeHealAndTimeManaParser = MultiParser:create(SpellTimeHealAndTimeMana, {1, 2}, function(data, match)
	data.timeHeal = match[1]
	data.timeMana = match[2]
end)


local Items = Class:create(ClassItems)
SD.Items = Items

-- Зелья:

--Лечебное зелье(Предмет для сценария):
local HealingPotionScenario = MultiParser:create(SpellHeal, {1}, function(data, match)
	data.heal = UnitHealthMax("player") * match[1] / 100
end)

Items.spells[118]		= SimpleHealParser								--Крохотный флакон с лечебным зельем
Items.spells[858]		= SimpleHealParser								--Маленький флакон с лечебным зельем
Items.spells[2455]		= SimpleManaParser								--Крохотный флакон с зельем маны
Items.spells[2456]		= DoubleParser:create(SpellHealAndMana, 2, 1)	--Слабое зелье омоложения
Items.spells[3087]		= SimpleManaParser								--Кружка "Мерцающего портера"
Items.spells[4596]		= SimpleHealParser								--Флакон с бесцветным лечебным зельем
Items.spells[6051]		= SimpleAbsorbParser							--Зелье защиты от светлой магии
Items.spells[929]		= SimpleHealParser 								--Лечебное зелье
Items.spells[3385]		= SimpleManaParser 								--Маленький флакон с зельем маны
Items.spells[6048]		= SimpleAbsorbParser 							--Зелье защиты от темной магии
Items.spells[1710]		= SimpleHealParser 								--Средний флакон с лечебным зельем
Items.spells[3827]		= SimpleManaParser 								--Зелье маны
Items.spells[6049]		= SimpleAbsorbParser 							--Зелье защиты от огня
Items.spells[6050]		= SimpleAbsorbParser 							--Зелье защиты от магии льда
Items.spells[6052]		= SimpleAbsorbParser 							--Зелье защиты от сил природы
Items.spells[6149]		= SimpleManaParser 								--Средний флакон с зельем маны
Items.spells[3928]		= SimpleHealParser 								--Большой флакон с лечебным зельем
Items.spells[9144] 		= DoubleHealManaParser 							--Зелье из дикой лозы
Items.spells[12190]		= SleepingPotion 								--Зелье сна без сновидений
Items.spells[17349]		= SimpleHealParser 								--Наилучшее исцеляющее зелье
Items.spells[17352]		= SimpleManaParser 								--Наилучшее зелье возврата маны
Items.spells[18839]		= SimpleHealParser 								--Флакон с боевым лечебным зельем
Items.spells[13443]		= SimpleManaParser 								--Большой флакон с зельем маны
Items.spells[18841]		= SimpleManaParser 								--Флакон с боевым зельем маны
Items.spells[13446]		= SimpleHealParser 								--Огромный флакон с лечебным зельем
Items.spells[17348]		= SimpleHealParser 								--Хорошее исцеляющее зелье
Items.spells[17351]		= SimpleManaParser 								--Хорошее зелье возврата маны
Items.spells[13456]		= SimpleAbsorbParser 							--Сильное зелье защиты от магии льда
Items.spells[13457]		= SimpleAbsorbParser 							--Сильное зелье защиты от огня
Items.spells[13458]		= SimpleAbsorbParser 							--Сильное зелье защиты от сил природы
Items.spells[13459]		= SimpleAbsorbParser 							--Сильное зелье защиты от темной магии
Items.spells[13460]		= SimpleAbsorbParser 							--Сильное зелье защиты от светлой магии
Items.spells[13461]		= SimpleAbsorbParser 							--Сильное зелье защиты от тайной магии
Items.spells[13444]		= SimpleManaParser 								--Огромный флакон с зельем маны
Items.spells[13506]		= SimpleAbsorbParser 							--Зелье оцепенения
Items.spells[18253]		= HealAndMana 									--Большое зелье омоложения
Items.spells[20002]		= SleepingPotion 								--Сильное зелье сна без сновидений
Items.spells[28100]		= SimpleHealParser 								--Флакон с летучим лечебным зельем
Items.spells[33934]		= SimpleHealParser 								--Хрустальный флакон с лечебным зельем
Items.spells[116277]	= SimpleAbsorbParser 							--Зелье оцепенения
Items.spells[28101]		= SimpleManaParser 								--Флакон с нестойким зельем маны
Items.spells[33935]		= SimpleManaParser 								--Хрустальный флакон с зельем маны
Items.spells[22829]		= SimpleHealParser 								--Гигантский флакон с лечебным зельем
Items.spells[32904]		= SimpleHealParser 								--Кенарийский лечебный бальзам
Items.spells[32905]		= SimpleHealParser 								--Бутилированные пары Хаотического зелья
Items.spells[32947]		= SimpleHealParser 								--Аукенайский флакон с лечебным зельем
Items.spells[39327]		= SimpleHealParser 								--Особое пойло Нота
Items.spells[43531]		= SimpleHealParser 								--Флакон с лечебным зельем Серебряного Рассвета
Items.spells[23822]		= SimpleHealParser 								--Набор для лечебных инъекций
Items.spells[33092]		= SimpleHealParser 								--Набор для лечебных инъекций
Items.spells[22832]		= SimpleManaParser 								--Гигантский флакон с зельем маны
Items.spells[32902]		= SimpleManaParser 								--Бутилированное хаотическое зелье энергии
Items.spells[32903]		= SimpleManaParser 								--Кенарийский бальзам маны
Items.spells[32948]		= SimpleManaParser 								--Аукенайский флакон с зельем маны
Items.spells[43530]		= SimpleManaParser 								--Флакон с зельем маны Серебряного Рассвета
Items.spells[23823]		= SimpleManaParser 								--Набор для инъекций маны
Items.spells[31676]		= SimpleTimeHealParser 							--Оскверненное зелье регенерации
Items.spells[33093]		= SimpleManaParser 								--Набор для инъекций маны
Items.spells[22836]		= SleepingPotion 								--Большое зелье сна без сновидений
Items.spells[22841]		= SimpleAbsorbParser 							--Большое зелье защиты от огня
Items.spells[22842]		= SimpleAbsorbParser 							--Большое зелье защиты от магии льда
Items.spells[22844]		= SimpleAbsorbParser 							--Большое зелье защиты от сил природы
Items.spells[22845]		= SimpleAbsorbParser 							--Большое зелье защиты от тайной магии
Items.spells[22846]		= SimpleAbsorbParser 							--Большое зелье защиты от темной магии
Items.spells[22847]		= SimpleAbsorbParser 							--Большое зелье защиты от светлой магии
Items.spells[31838]		= SimpleHealParser 								--Большой флакон с боевым лечебным зельем
Items.spells[31839]		= SimpleHealParser 								--Большой флакон с боевым лечебным зельем
Items.spells[31840]		= SimpleManaParser 								--Большой флакон с боевым зельем маны
Items.spells[31841]		= SimpleManaParser 								--Большой флакон с боевым зельем маны
Items.spells[31852]		= SimpleHealParser 								--Большой флакон с боевым лечебным зельем
Items.spells[31853]		= SimpleHealParser 								--Большой флакон с боевым лечебным зельем
Items.spells[31854]		= SimpleManaParser 								--Большой флакон с боевым зельем маны
Items.spells[31855]		= SimpleManaParser 								--Большой флакон с боевым зельем маны
Items.spells[32783]		= SimpleManaParser 								--Огрское Синее
Items.spells[32784]		= SimpleHealParser 								--Огрское Красное
Items.spells[32840]		= SimpleAbsorbParser 							--Большое зелье защиты от огня
Items.spells[32844]		= SimpleAbsorbParser 							--Большое зелье защиты от магии льда
Items.spells[32845]		= SimpleAbsorbParser 							--Большое зелье защиты от сил природы
Items.spells[32846]		= SimpleAbsorbParser 							--Большое зелье защиты от тайной магии
Items.spells[32847]		= SimpleAbsorbParser 							--Большое зелье защиты от темной магии
Items.spells[32909]		= SimpleManaParser 								--Огрское Особое синее
Items.spells[32910]		= SimpleHealParser 								--Огрское Особое красное
Items.spells[35287]		= SimpleManaParser 								--Сверкающий синехвост
Items.spells[31677]		= SimpleTimeManaParser 							--Оскверненное зелье маны
Items.spells[22850]		= HealAndMana 									--Гигантский флакон с зельем омоложения
Items.spells[34440]		= HealAndMana 									--Зелье безумного алхимика
Items.spells[39671]		= SimpleHealParser 								--Флакон с бодрящим лечебным зельем
Items.spells[40067]		= SimpleManaParser 								--Флакон с ледяным зельем маны
Items.spells[43569]		= SimpleHealParser 								--Бездонный флакон с лечебным зельем
Items.spells[43570]		= SimpleManaParser 								--Бездонный флакон с зельем маны
Items.spells[33447]		= SimpleHealParser 								--Рунический флакон с лечебным зельем
Items.spells[33448]		= SimpleManaParser 								--Рунический флакон с зельем маны
Items.spells[40077]		= DoubleHealManaParser 							--Зелье сумасшедшего алхимика
Items.spells[40081]		= HealAndMana 									--Зелье ночных кошмаров
Items.spells[40087]		= HealAndMana 									--Мощное зелье омоложения
Items.spells[40213]		= SimpleAbsorbParser 							--Мощное зелье защиты от тайной магии
Items.spells[40214]		= SimpleAbsorbParser 							--Мощное зелье защиты от огня
Items.spells[40215]		= SimpleAbsorbParser 							--Мощное зелье защиты от магии льда
Items.spells[40216]		= SimpleAbsorbParser 							--Мощное зелье защиты от сил природы
Items.spells[40217]		= SimpleAbsorbParser 							--Мощное зелье защиты от темной магии
Items.spells[41166]		= SimpleHealParser 								--Рунический набор для лечебных инъекций
Items.spells[42545]		= SimpleManaParser 								--Рунический набор для инъекций маны
Items.spells[57191]		= SimpleHealParser 								--Легендарное лечебное зелье
Items.spells[57192]		= SimpleManaParser 								--Легендарное зелье маны
Items.spells[63300]		= SimpleHealParser 								--Зелье разбойника
Items.spells[67415]		= DoubleHealManaParser 							--Глоток войны
Items.spells[57193]		= HealAndMana 									--Могучее зелье омоложения
--Items.spells[57099]	=  		--Загадочное зелье
Items.spells[57194]		= SimpleTimeManaParser 							--Зелье сосредоточения
Items.spells[63144]		= SimpleHealParser 								--Лечебное зелье защитников Тол Барада
Items.spells[63145]		= SimpleManaParser 								--Зелье маны защитников Тол Барада
Items.spells[64993]		= SimpleManaParser 								--Зелье маны батальона Адского Крика
Items.spells[64994]		= SimpleHealParser 								--Лечебное зелье батальона Адского Крика
Items.spells[76092]		= SimpleTimeManaParser 							--Зелье внимательности
Items.spells[76094]		= DoubleHealManaParser 							--Алхимическое зелье омоложения
Items.spells[76097]		= SimpleHealParser 								--Лечебное зелье мастера
Items.spells[76098]		= SimpleManaParser 								--Зелье маны мастера
Items.spells[92954]		= SimpleHealParser 								--Лечебное зелье бойца
Items.spells[93742]		= HealingPotionScenario 						--Лечебное зелье (Предмет для сценария)
Items.spells[113585]	= DoubleHealManaParser 							--Зелье омоложения Железной Орды
Items.spells[118278]	= SimpleTimeManaParser 							--Зелье кошмаров наяву
Items.spells[118917]	= SimpleHealParser 								--Дренорское бездонное лечебное снадобье буяна
Items.spells[109221]	= SimpleTimeManaParser 							--Дренорское зелье потока маны
Items.spells[109222]	= SimpleManaParser 								--Дренорское зелье маны
Items.spells[109223]	= SimpleHealParser 								--Лечебное снадобье
Items.spells[109226]	= DoubleHealManaParser 							--Дренорское зелье омоложения
Items.spells[115498]	= SimpleHealParser 								--Ашранское лечебное снадобье
Items.spells[117415]	= SimpleHealParser 								--Контрабандный тоник
Items.spells[118006]	= SimpleAbsorbParser 							--Щитотронный щит
Items.spells[118262]	= SimpleTimeManaParser 							--Бриллиантовый мечтоцвет
Items.spells[118916]	= SimpleHealParser 								--Лечебное снадобье буяна

-- Бинты:

Items.spells[8544]		= SimpleTimeHealParser 							--Бинты из магической ткани
Items.spells[6451]		= SimpleTimeHealParser 							--Плотные шелковые бинты
Items.spells[6450]		= SimpleTimeHealParser 							--Шелковые бинты
Items.spells[6531]		= SimpleTimeHealParser 							--Плотные шерстяные бинты
Items.spells[3530]		= SimpleTimeHealParser 							--Шерстяные бинты
Items.spells[2581]		= SimpleTimeHealParser 							--Плотные льняные бинты
Items.spells[1251]		= SimpleTimeHealParser 							--Льняные бинты
Items.spells[8545]		= SimpleTimeHealParser 							--Плотные бинты из магической ткани
Items.spells[20244]		= SimpleTimeHealParser 							--Шелковые бинты горца
Items.spells[20235]		= SimpleTimeHealParser 							--Шелковые бинты Осквернителя
Items.spells[20067]		= SimpleTimeHealParser 							--Шелковые бинты из Низины Арати
Items.spells[19068]		= SimpleTimeHealParser 							--Шелковые бинты из Ущелья Песни Войны
Items.spells[19067]		= SimpleTimeHealParser 							--Бинты Ущелья Песни Войны из магической ткани
Items.spells[20065]		= SimpleTimeHealParser 							--Бинты Низины Арати из магической ткани
Items.spells[20232]		= SimpleTimeHealParser 							--Бинты Осквернителя из магической ткани
Items.spells[20237]		= SimpleTimeHealParser 							--Бинты горца из магической ткани
Items.spells[14529]		= SimpleTimeHealParser 							--Бинты из рунической ткани
Items.spells[20243]		= SimpleTimeHealParser 							--Бинты горца из рунической ткани
Items.spells[20234]		= SimpleTimeHealParser 							--Бинты Осквернителя из рунической ткани
Items.spells[20066]		= SimpleTimeHealParser 							--Бинты из рунической ткани из Низины Арати
Items.spells[19066]		= SimpleTimeHealParser 							--Бинты из рунической ткани из Ущелья Песни Войны
Items.spells[14530]		= SimpleTimeHealParser 							--Плотные бинты из рунической ткани
Items.spells[19307]		= SimpleTimeHealParser 							--Плотные альтеракские бинты из рунической ткани
Items.spells[21990]		= SimpleTimeHealParser 							--Бинты из ткани Пустоты
Items.spells[21991]		= SimpleTimeHealParser 							--Плотные бинты из ткани Пустоты
Items.spells[34721]		= SimpleTimeHealParser 							--Бинты из ледяной ткани
Items.spells[34722]		= SimpleTimeHealParser 							--Плотные бинты из ледяной ткани
Items.spells[53049]		= SimpleTimeHealParser 							--Бинты из угольного шелка
Items.spells[53050]		= SimpleTimeHealParser 							--Плотные бинты из угольного шелка
Items.spells[53051]		= SimpleTimeHealParser 							--Крепкие бинты из угольного шелка
Items.spells[63391]		= SimpleTimeHealParser 							--Бинты защитников Тол Барада
Items.spells[94995]		= SimpleTimeHealParser 							--Бинты батальона Адского Крика
Items.spells[72985]		= SimpleTimeHealParser 							--Бинты из ветрошерсти
Items.spells[72986]		= SimpleTimeHealParser 							--Плотные бинты из ветрошерсти
Items.spells[111603]	= SimpleTimeHealParser 							--Пропитанные антисептиком бинты
Items.spells[115497]	= SimpleTimeHealParser 							--Ашранские бинты

-- Разное:

--Воспламеняющая смесь:
local OilOfImmolation = MultiParser:create(SpellTimeDamage, {1, 3, 4}, function(data, match)
	data.timeDamage = match[1] * math.floor(match[4] / match[3])
end)
local GoblinDragonGunMarkII = OilOfImmolation

--Фрагмент духа стихии:
local ElementalFragment = MultiParser:create(SpellHeal, {1}, function(data, match)
	data.heal = UnitHealthMax("player") * match[1] / 100
end)

Items.spells[1399]		= DoubleDamageParser 							--Волшебная свеча
Items.spells[1178]		= SimpleDamageParser 							--Взрывчатая ракета
Items.spells[5512]		= SimpleHealParser 								--Камень здоровья
Items.spells[6458]		= SimpleTimeHealParser 							--Рыба в масле
Items.spells[5205]		= SimpleTimeHealParser							--Росток папоротника
Items.spells[118699]	= OilOfImmolation								--Воспламеняющая смесь
Items.spells[8956]		= OilOfImmolation								--Воспламеняющая смесь
Items.spells[11952]		= DoubleParser:create(SpellHealAndMana, 2, 1)	--Дыхание ночного дракона
Items.spells[11950]		= SimpleTimeHealParser							--Ягоды ветроцвета
Items.spells[29531]		= TimeHealAndTimeMana							--Барабаны восстановления
Items.spells[49634]		= TimeHealAndTimeMana							--Барабаны дикой природы
Items.spells[86607]		= GoblinDragonGunMarkII							--Гоблинское драконье ружье, модель II
Items.spells[113545]	= SimpleManaParser 								--Резной рог для питья
Items.spells[115466]	= ElementalFragment 							--Фрагмент духа стихии

-- Еда и напитки:

local HealAndManaPersentTotalParser = MultiParser:create(SpellTimeHealAndTimeMana, {1, 2}, function(data, match)
	data.timeHeal = UnitHealthMax("player") * match[1] / 100
	data.timeMana = UnitManaMax("player") * match[2] / 100
end)

local HealAndManaPersentPerSecondParser = MultiParser:create(SpellTimeHealAndTimeMana, {1, 2}, function(data, match)
	data.timeHeal = UnitHealthMax("player") * match[1] / 100 * match[2]
	data.timeMana = UnitManaMax("player") * match[1] / 100 * match[2]
end)

local HealPersentPerSecondParser = MultiParser:create(SpellTimeHeal, {1, 2}, function(data, match)
	data.timeHeal = UnitHealthMax("player") * match[1] / 100 * match[2]
end)

local ManaPersentPerSecondParser = MultiParser:create(SpellTimeMana, {1, 2}, function(data, match)
	data.timeMana = UnitManaMax("player") * match[1] / 100 * match[2]
end)

--Пряное лакомство из мамонта:
local SpicedMammothTreats = MultiParser:create(SpellTimeHeal, {1, 2, 3}, function(data, match)
	data.timeHeal = match[1] * math.floor(match[3] / match[2])
end)

Items.spells[43005]	= SpicedMammothTreats 	--Пряное лакомство из мамонта

Items.spells[111431]	= DoubleTimeHealAndTimeManaParser 	--Толстый стейк из мяса элекка
Items.spells[111433]	= DoubleTimeHealAndTimeManaParser 	--Ветчина Черной горы
Items.spells[111434]	= DoubleTimeHealAndTimeManaParser 	--Подрумяненное на сковороде мясо талбука
Items.spells[111436]	= DoubleTimeHealAndTimeManaParser 	--Тушеное речное чудище
Items.spells[111437]	= DoubleTimeHealAndTimeManaParser 	--Блинчики из яиц рилака
Items.spells[111438]	= DoubleTimeHealAndTimeManaParser 	--Сосиски из копытня
Items.spells[111439]	= DoubleTimeHealAndTimeManaParser 	--Скорпион на пару
Items.spells[111441]	= DoubleTimeHealAndTimeManaParser 	--Мешкорот на гриле
Items.spells[111442]	= DoubleTimeHealAndTimeManaParser 	--Похлебка из осетра
Items.spells[111444]	= DoubleTimeHealAndTimeManaParser 	--Пироги с толстопузиком
Items.spells[111445]	= DoubleTimeHealAndTimeManaParser 	--Огненные аммониты
Items.spells[111446]	= DoubleTimeHealAndTimeManaParser 	--Уха из скрытиуса
Items.spells[111447]	= DoubleTimeHealAndTimeManaParser 	--Жаркое по-таладорски
Items.spells[111449]	= DoubleTimeHealAndTimeManaParser 	--Барбекю Черной горы
Items.spells[111450]	= DoubleTimeHealAndTimeManaParser 	--Морозное рагу
Items.spells[111452]	= DoubleTimeHealAndTimeManaParser 	--Сюрприз из толстопузика
Items.spells[111453]	= DoubleTimeHealAndTimeManaParser 	--Блинчики с аммонитами
Items.spells[111454]	= DoubleTimeHealAndTimeManaParser 	--Горгрондская уха
Items.spells[111455]	= SimpleTimeManaParser 				--Бульон из рыбы-сабли
Items.spells[111456]	= SimpleTimeHealParser 				--Жареная рыба-сабля
Items.spells[111457]	= DoubleTimeHealAndTimeManaParser 	--Кровавый пир
Items.spells[111458]	= DoubleTimeHealAndTimeManaParser 	--Морской пир
Items.spells[111544]	= DoubleTimeHealAndTimeManaParser 	--Вяленое мясо морозного вепря
Items.spells[111842]	= SimpleTimeHealParser 				--Клубень звездокорня
Items.spells[113509]	= HealAndManaPersentTotalParser 	--Сотворенные пончики из маны
Items.spells[115351]	= SimpleTimeHealParser 				--"Когти рилака"
Items.spells[115352]	= SimpleTimeHealParser 				--Твердый сыр Телмора-Арууны
Items.spells[115353]	= SimpleTimeHealParser 				--Танаанская дыня
Items.spells[115354]	= SimpleTimeHealParser 				--Нарезанные зангарские молодые грибы
Items.spells[115355]	= SimpleTimeHealParser 				--Мраморный стейк из копытня
Items.spells[117452]	= SimpleTimeManaParser 				--Горгрондская минеральная вода
Items.spells[117454]	= SimpleTimeHealParser 				--Горгрондский виноград
Items.spells[117457]	= SimpleTimeHealParser 				--Кровавые яблоки
Items.spells[117469]	= SimpleTimeHealParser 				--Заварное печенье в сахарной пудре
Items.spells[117470]	= SimpleTimeHealParser 				--Многозерновая буханка
Items.spells[117471]	= SimpleTimeHealParser 				--Лепешки из какао
Items.spells[117472]	= SimpleTimeHealParser 				--Жареный горгрондский сюрприз
Items.spells[117473]	= SimpleTimeHealParser 				--Маринованные копыта элекка
Items.spells[117474]	= SimpleTimeHealParser 				--Колбаса из мяса рилака
Items.spells[117475]	= SimpleTimeManaParser 				--Молоко копытня
Items.spells[118050]	= SimpleTimeHealParser 				--Зачарованное яблоко
Items.spells[118051]	= SimpleTimeHealParser 				--Зачарованный апельсин
Items.spells[118268]	= DoubleTimeHealAndTimeManaParser 	--Мохнатая груша
Items.spells[118269]	= DoubleTimeHealAndTimeManaParser 	--Зеленое яблоко
Items.spells[118270]	= DoubleTimeHealAndTimeManaParser 	--Апельсин о'рук
Items.spells[118271]	= DoubleTimeHealAndTimeManaParser 	--Стальношкурый банан
Items.spells[118272]	= DoubleTimeHealAndTimeManaParser 	--Огромная награндская вишня
Items.spells[118416]	= DoubleTimeHealAndTimeManaParser 	--Рыбья икра
Items.spells[118424]	= DoubleTimeHealAndTimeManaParser 	--Слепая бледнорыба
Items.spells[118428]	= DoubleTimeHealAndTimeManaParser 	--Чили Легиона
Items.spells[118576]	= DoubleTimeHealAndTimeManaParser 	--Дикое пиршество
Items.spells[120168]	= SimpleTimeManaParser 				--Миска лапши быстрого приготовления
Items.spells[120293]	= DoubleTimeHealAndTimeManaParser 	--Чуть теплая похлебка из мяса яка
Items.spells[122343]	= DoubleTimeHealAndTimeManaParser 	--Суши из толстопузика
Items.spells[122344]	= DoubleTimeHealAndTimeManaParser 	--Рулетик из соленого кальмара
Items.spells[122345]	= DoubleTimeHealAndTimeManaParser 	--Маринованный угорь
Items.spells[122346]	= DoubleTimeHealAndTimeManaParser 	--Огромный морской хотдог
Items.spells[122347]	= DoubleTimeHealAndTimeManaParser 	--Филе хлыстохвоста
Items.spells[122348]	= DoubleTimeHealAndTimeManaParser 	--Осетр в масле
Items.spells[128219]	= SimpleTimeHealParser 				--Сквернокопченая ветчина
Items.spells[128385]	= SimpleTimeManaParser 				--Вода стихийной перегонки
Items.spells[128498]	= SimpleTimeHealParser 				--Скверная яичница с ветчиной
Items.spells[116120]	= DoubleTimeHealAndTimeManaParser 	--Вкусный таладорский обед
Items.spells[74646]		= DoubleTimeHealAndTimeManaParser 	--Ребрышки с черным перцем и раками
Items.spells[74648]		= DoubleTimeHealAndTimeManaParser 	--Рисовая лапша морских туманов
Items.spells[74650]		= DoubleTimeHealAndTimeManaParser 	--Рыбная похлебка могу
Items.spells[74653]		= DoubleTimeHealAndTimeManaParser 	--Крабовый сюрприз на пару
Items.spells[74656]		= DoubleTimeHealAndTimeManaParser 	--Весенние рулетики монастыря Тянь
Items.spells[74919]		= DoubleTimeHealAndTimeManaParser 	--Пандаренское угощение
Items.spells[75016]		= DoubleTimeHealAndTimeManaParser 	--Большое пандаренское угощение
Items.spells[75038]		= DoubleTimeHealAndTimeManaParser 	--Завтрак безумца
Items.spells[79320]		= DoubleTimeHealAndTimeManaParser 	--Половинка яблочка
Items.spells[80610]		= HealAndManaPersentTotalParser 	--Сотворенный пудинг из маны
Items.spells[80618]		= DoubleTimeHealAndTimeManaParser 	--Сотворенные булочки из маны
Items.spells[81408]		= SimpleTimeHealParser 				--Пирожок с красной фасолью
Items.spells[81409]		= SimpleTimeHealParser 				--Пикантный йогурт
Items.spells[81410]		= SimpleTimeHealParser 				--Зеленый карри с рыбой
Items.spells[81411]		= SimpleTimeHealParser 				--Персиковый пирог
Items.spells[81412]		= SimpleTimeHealParser 				--Бланшированные опята
Items.spells[81413]		= SimpleTimeHealParser 				--Курица с арахисом на вертеле
Items.spells[81414]		= DoubleTimeHealAndTimeManaParser 	--Чай с перламутровым молоком
Items.spells[81916]		= SimpleTimeHealParser 				--Огромный гриб
Items.spells[81918]		= SimpleTimeHealParser 				--Маринованный свиной пятачок
Items.spells[81920]		= SimpleTimeHealParser 				--Крупный инжир
Items.spells[81921]		= SimpleTimeHealParser 				--Сыр Чилтона
Items.spells[81923]		= SimpleTimeManaParser 				--Кобо Кола
Items.spells[82449]		= SimpleTimeHealParser 				--Уха из морских уточек
Items.spells[82451]		= SimpleTimeHealParser 				--Жареный хлеб
Items.spells[86073]		= DoubleTimeHealAndTimeManaParser 	--Острый лосось
Items.spells[86074]		= DoubleTimeHealAndTimeManaParser 	--Острые овощные чипсы
Items.spells[86508]		= SimpleTimeHealParser 				--Свежий хлеб
Items.spells[87226]		= DoubleTimeHealAndTimeManaParser 	--Угощение на гриле
Items.spells[87228]		= DoubleTimeHealAndTimeManaParser 	--Большое угощение на гриле
Items.spells[87230]		= DoubleTimeHealAndTimeManaParser 	--Угощение вок
Items.spells[87232]		= DoubleTimeHealAndTimeManaParser 	--Большое угощение вок
Items.spells[87234]		= DoubleTimeHealAndTimeManaParser 	--Угощение в горшочке
Items.spells[87236]		= DoubleTimeHealAndTimeManaParser 	--Большое угощение в горшочке
Items.spells[87238]		= DoubleTimeHealAndTimeManaParser 	--Угощение на пару
Items.spells[87240]		= DoubleTimeHealAndTimeManaParser 	--Большое угощение на пару
Items.spells[87242]		= DoubleTimeHealAndTimeManaParser 	--Угощение из печи
Items.spells[87244]		= DoubleTimeHealAndTimeManaParser 	--Большое угощение из печи
Items.spells[87246]		= DoubleTimeHealAndTimeManaParser 	--Освежающее угощение
Items.spells[87248]		= DoubleTimeHealAndTimeManaParser 	--Большое освежающее угощение
Items.spells[87253]		= DoubleTimeHealAndTimeManaParser 	--Бесконечное застолье
Items.spells[90135]		= SimpleTimeHealParser 				--Нарезной бекон
Items.spells[94535]		= DoubleTimeHealAndTimeManaParser 	--Жареная нога динозавра
Items.spells[98111]		= DoubleTimeHealAndTimeManaParser 	--КГУ
Items.spells[98116]		= DoubleTimeHealAndTimeManaParser 	--Замороженное мясо гиены
Items.spells[98118]		= DoubleTimeHealAndTimeManaParser 	--Хрустящие скорпионы
Items.spells[98121]		= SimpleTimeHealParser 				--Булочка с янтарными желудями
Items.spells[98122]		= SimpleTimeHealParser 				--Камамбер дю Копытень
Items.spells[98123]		= SimpleTimeHealParser 				--Икра китовой акулы
Items.spells[98124]		= SimpleTimeHealParser 				--Кровяничный пирог
Items.spells[98125]		= SimpleTimeHealParser 				--Обрезанные зангарские трюфеля
Items.spells[98126]		= SimpleTimeHealParser 				--Фуа-гра из механобипа
Items.spells[98127]		= DoubleTimeHealAndTimeManaParser 	--Банка Банка "Каджа-Колы" со вмятиной
Items.spells[101630]	= DoubleTimeHealAndTimeManaParser 	--Комплект для установки тележки с супом с лапшой
Items.spells[101661]	= DoubleTimeHealAndTimeManaParser 	--Комплект для установки тележки с изысканным супом с лапшой
Items.spells[101662]	= DoubleTimeHealAndTimeManaParser 	--Комплект для установки тележки с легендарным пандаренским супом с лапшой
Items.spells[101745]	= DoubleTimeHealAndTimeManaParser 	--Мороженое из манго
Items.spells[101746]	= DoubleTimeHealAndTimeManaParser 	--Пряные ломтики тыблока
Items.spells[101747]	= DoubleTimeHealAndTimeManaParser 	--Лакомство фермера
Items.spells[101748]	= DoubleTimeHealAndTimeManaParser 	--Цветочный суп со специями
Items.spells[101749]	= DoubleTimeHealAndTimeManaParser 	--Фаршированные мягкогрибы
Items.spells[101750]	= DoubleTimeHealAndTimeManaParser 	--Воздушный омлет из яиц шелкоперого ястреба
Items.spells[104196]	= DoubleTimeHealAndTimeManaParser 	--Изысканный огрский тошнозин
Items.spells[104339]	= SimpleTimeHealParser 				--Гармоничная речная лапша
Items.spells[104340]	= SimpleTimeHealParser 				--Лапша чокнутой змеи
Items.spells[104341]	= SimpleTimeHealParser 				--Кипящая лапша с козлятиной
Items.spells[104342]	= SimpleTimeHealParser 				--Пряная лапша с мясом мушана
Items.spells[104343]	= SimpleTimeHealParser 				--Лапша золотого дракона
Items.spells[104344]	= SimpleTimeHealParser 				--Счастливая лапша с грибами
Items.spells[105717]	= SimpleTimeHealParser 				--Грибы в рисовом вине
Items.spells[105719]	= SimpleTimeHealParser 				--Сиг в остром отваре
Items.spells[105720]	= SimpleTimeHealParser 				--Засахаренное яблоко
Items.spells[105721]	= DoubleTimeHealAndTimeManaParser 	--Горячее молоко с папайей
Items.spells[105722]	= SimpleTimeHealParser 				--Булка со вкусом орехового отвара
Items.spells[105723]	= SimpleTimeHealParser 				--Куски свинины с арахисом
Items.spells[105724]	= SimpleTimeHealParser 				--Жареные пельмени с сыром
Items.spells[108920]	= DoubleTimeHealAndTimeManaParser 	--Цветочно-лимонный пуддинг
Items.spells[112449]	= DoubleTimeHealAndTimeManaParser 	--Пайки Железной Орды
Items.spells[113290]	= SimpleTimeHealParser 				--Плод горной лозы
Items.spells[115300]	= DoubleTimeHealAndTimeManaParser 	--Маринованный стейк из мяса элекка
Items.spells[74645]		= DoubleTimeHealAndTimeManaParser 	--Рыба по-дольски
Items.spells[74647]		= DoubleTimeHealAndTimeManaParser 	--Стир-фрай долины
Items.spells[74649]		= DoubleTimeHealAndTimeManaParser 	--Тушеное черепашье мясо
Items.spells[74652]		= DoubleTimeHealAndTimeManaParser 	--Лосось духов огня
Items.spells[74655]		= DoubleTimeHealAndTimeManaParser 	--Блюдо из двух рыб
Items.spells[75037]		= SimpleTimeManaParser 				--Отвар нефритовой ведьмы
Items.spells[86069]		= DoubleTimeHealAndTimeManaParser 	--Рисовый пудинг
Items.spells[86070]		= DoubleTimeHealAndTimeManaParser 	--Суп из дичи с женьшенем
Items.spells[74636]		= SimpleTimeManaParser 				--Консоме из золотистого карпа
Items.spells[74641]		= SimpleTimeHealParser 				--Рыбный пирог
Items.spells[74642]		= DoubleTimeHealAndTimeManaParser 	--Жаренный на углях стейк из тигриного мяса
Items.spells[74643]		= DoubleTimeHealAndTimeManaParser 	--Пассерованная морковь
Items.spells[74644]		= DoubleTimeHealAndTimeManaParser 	--Суп из клубящегося тумана
Items.spells[74651]		= DoubleTimeHealAndTimeManaParser 	--Клецки с раками-богомолами
Items.spells[74654]		= DoubleTimeHealAndTimeManaParser 	--Жареная дичь
Items.spells[75026]		= DoubleTimeHealAndTimeManaParser 	--Женьшеневый чай
Items.spells[81400]		= SimpleTimeHealParser 				--Торт из молотого риса
Items.spells[81401]		= SimpleTimeHealParser 				--Домашний сыр из молока яка
Items.spells[81402]		= SimpleTimeHealParser 				--Подрумяненная соленая рыба
Items.spells[81403]		= SimpleTimeHealParser 				--Сушеные персики
Items.spells[81404]		= SimpleTimeHealParser 				--Сушеные опята
Items.spells[81405]		= SimpleTimeHealParser 				--Отварная куколка шелкопряда
Items.spells[81406]		= DoubleTimeHealAndTimeManaParser 	--Дамайча
Items.spells[85501]		= SimpleTimeManaParser 				--Суп из шустрого краба
Items.spells[85504]		= SimpleTimeHealParser 				--Красарангские фриттеры
Items.spells[86026]		= DoubleTimeHealAndTimeManaParser 	--Идеальная лапша быстрого приготовления
Items.spells[86057]		= SimpleTimeHealParser 				--Разрезанные персики
Items.spells[104348]	= SimpleTimeManaParser 				--Вневременный чай
Items.spells[105700]	= SimpleTimeManaParser 				--Куньлайский сногсшибатель
Items.spells[105701]	= SimpleTimeManaParser 				--Отвар Зеленой Скалы
Items.spells[105702]	= SimpleTimeManaParser 				--"Громобой"
Items.spells[105703]	= SimpleTimeManaParser 				--Отвар Буйных Портеров
Items.spells[105704]	= SimpleTimeManaParser 				--Пылающий отвар Янь-Чжу
Items.spells[105705]	= SimpleTimeManaParser 				--Горький отвар Чани
Items.spells[105706]	= SimpleTimeManaParser 				--Отвар Шадо-Пан
Items.spells[105707]	= SimpleTimeManaParser 				--Отвар унга
Items.spells[105708]	= SimpleTimeHealParser 				--Мерцающий янтарный отвар
Items.spells[105711]	= SimpleTimeManaParser 				--Диковинное обезьянье пойло
Items.spells[58257]		= SimpleTimeManaParser 				--Высокогорная ключевая вода
Items.spells[58259]		= SimpleTimeHealParser 				--Высокогорная брынза
Items.spells[58261]		= SimpleTimeHealParser 				--Пшеничный рогалик с маслом
Items.spells[58263]		= SimpleTimeHealParser 				--Акула-гриль
Items.spells[58265]		= SimpleTimeHealParser 				--Горный гранат
Items.spells[58267]		= SimpleTimeHealParser 				--Алый трутовик
Items.spells[58269]		= SimpleTimeHealParser 				--Жирная ножка индейки
Items.spells[63251]		= SimpleTimeManaParser 				--Великолепное пиво Мей
Items.spells[65499]		= HealAndManaPersentTotalParser 	--Сотворенный торт из маны
Items.spells[68140]		= SimpleTimeManaParser 				--Живительный ананасовый пунш
Items.spells[70924]		= DoubleTimeHealAndTimeManaParser 	--Вечное око Элуны
Items.spells[70925]		= DoubleTimeHealAndTimeManaParser 	--Вечная лунная груша
Items.spells[70926]		= DoubleTimeHealAndTimeManaParser 	--Вечная луноягода
Items.spells[70927]		= DoubleTimeHealAndTimeManaParser 	--Вечный солнцеплод
Items.spells[73260]		= SimpleTimeHealParser 				--Морской хот-дог
Items.spells[74822]		= SimpleTimeManaParser 				--Саспарилья
Items.spells[74921]		= SimpleTimeHealParser 				--Пончик Новолуния
Items.spells[81175]		= SimpleTimeHealParser 				--Хрустящий доцзяньский угорь
Items.spells[81889]		= SimpleTimeHealParser 				--Перченый гриб-дождевик
Items.spells[81917]		= SimpleTimeHealParser 				--Тушеная баранина
Items.spells[81919]		= SimpleTimeHealParser 				--Красная малина
Items.spells[81922]		= SimpleTimeHealParser 				--Рокфор Красногорья
Items.spells[81924]		= SimpleTimeManaParser 				--Газированная вода
Items.spells[82448]		= SimpleTimeHealParser 				--Подкопченое брюшко кальмара
Items.spells[82450]		= SimpleTimeHealParser 				--Печенье из кукурузной муки
Items.spells[83097]		= SimpleTimeHealParser 				--Вяленое черепашье мясо
Items.spells[88379]		= SimpleTimeHealParser 				--Пирожное груммелей
Items.spells[88388]		= DoubleTimeHealAndTimeManaParser 	--Извивающийся деликатес
Items.spells[88398]		= SimpleTimeHealParser 				--Рагу из корнеплодов
Items.spells[88532]		= SimpleTimeManaParser 				--Лотосовая вода
Items.spells[88578]		= SimpleTimeManaParser 				--Чашка кафы
Items.spells[88586]		= DoubleTimeHealAndTimeManaParser 	--Печенье Чао
Items.spells[89594]		= DoubleTimeHealAndTimeManaParser 	--Змеиный отвар безмятежности
Items.spells[89601]		= DoubleTimeHealAndTimeManaParser 	--Тигровый отвар безмятежности
Items.spells[90457]		= DoubleTimeHealAndTimeManaParser 	--Отварные хвосты яков Ма
Items.spells[101616]	= DoubleTimeHealAndTimeManaParser 	--Суп с лапшой
Items.spells[101617]	= DoubleTimeHealAndTimeManaParser 	--Изысканный суп с лапшой
Items.spells[101618]	= DoubleTimeHealAndTimeManaParser 	--Легендарный пандаренский суп с лапшой
Items.spells[60858]		= DoubleTimeHealAndTimeManaParser 	--Гоблинское барбекю
Items.spells[62289]		= DoubleTimeHealAndTimeManaParser 	--Угощение из жареного дракона
Items.spells[62290]		= DoubleTimeHealAndTimeManaParser 	--Волшебное угощение из морепродуктов
Items.spells[62649]		= DoubleTimeHealAndTimeManaParser 	--Печенье с предсказанием
Items.spells[62651]		= DoubleTimeHealAndTimeManaParser 	--Слегка поджаренный скрытень
Items.spells[62652]		= DoubleTimeHealAndTimeManaParser 	--Краб с приправами
Items.spells[62653]		= DoubleTimeHealAndTimeManaParser 	--Засоленный глаз
Items.spells[62654]		= DoubleTimeHealAndTimeManaParser 	--Филе лавочешуйчатой рыбы
Items.spells[62655]		= DoubleTimeHealAndTimeManaParser 	--Жареная горная форель
Items.spells[62656]		= DoubleTimeHealAndTimeManaParser 	--Белопенная морская похлебка
Items.spells[62657]		= DoubleTimeHealAndTimeManaParser 	--Обед со скрытнем
Items.spells[62658]		= DoubleTimeHealAndTimeManaParser 	--Нежное печеное черепашье мясо
Items.spells[62659]		= DoubleTimeHealAndTimeManaParser 	--Сытный суп из морепродуктов
Items.spells[62660]		= DoubleTimeHealAndTimeManaParser 	--Маринованная гуппи
Items.spells[62661]		= DoubleTimeHealAndTimeManaParser 	--Запеченный морской окунь
Items.spells[62662]		= DoubleTimeHealAndTimeManaParser 	--Дракон на гриле
Items.spells[62663]		= DoubleTimeHealAndTimeManaParser 	--Минестроне с лавочешуйчатой рыбой
Items.spells[62664]		= DoubleTimeHealAndTimeManaParser 	--Кроколиск о-гратен
Items.spells[62665]		= DoubleTimeHealAndTimeManaParser 	--Ливер-дог из василиска
Items.spells[62666]		= DoubleTimeHealAndTimeManaParser 	--Деликатесный хвост шалфокуня
Items.spells[62667]		= DoubleTimeHealAndTimeManaParser 	--Ильная рыба в грибном соусе
Items.spells[62668]		= DoubleTimeHealAndTimeManaParser 	--Суши с чернобрюхом
Items.spells[62669]		= DoubleTimeHealAndTimeManaParser 	--Угорь на вертеле
Items.spells[62670]		= DoubleTimeHealAndTimeManaParser 	--Вымоченный в пиве кроколиск
Items.spells[62671]		= DoubleTimeHealAndTimeManaParser 	--Отрубленная голова шалфокуня
Items.spells[62675]		= SimpleTimeManaParser 				--Эспрессо Звездного огня
Items.spells[62676]		= SimpleTimeHealParser 				--Почерневший сюрприз
Items.spells[43523]		= HealAndManaPersentTotalParser 	--Сотворенный штрудель из маны
Items.spells[58256]		= SimpleTimeManaParser 				--Газированная оазисная вода
Items.spells[58258]		= SimpleTimeHealParser 				--Копченый чечил
Items.spells[58260]		= SimpleTimeHealParser 				--Хлеб с кедровыми орешками
Items.spells[58262]		= SimpleTimeHealParser 				--Нарезанная ломтиками сырая макайра
Items.spells[58264]		= SimpleTimeHealParser 				--Кислое зеленое яблоко
Items.spells[58266]		= SimpleTimeHealParser 				--Лиловый сморчок
Items.spells[58268]		= SimpleTimeHealParser 				--Жареная говядина
Items.spells[59029]		= SimpleTimeManaParser 				--Жирное китовое молоко
Items.spells[59228]		= SimpleTimeHealParser 				--Мерзкая лиловая поганка
Items.spells[59230]		= SimpleTimeManaParser 				--Грибные выжимки
Items.spells[59232]		= SimpleTimeHealParser 				--Жаркое непонятно из кого
Items.spells[62672]		= SimpleTimeManaParser 				--Чай со льдом с Южных островов
Items.spells[62677]		= SimpleTimeHealParser 				--Жареная рыбка
Items.spells[68687]		= DoubleTimeHealAndTimeManaParser 	--Вареный мурглонос
Items.spells[89593]		= DoubleTimeHealAndTimeManaParser 	--Змеиный отвар опавших цветов
Items.spells[89600]		= DoubleTimeHealAndTimeManaParser 	--Тигриный отвар опавших цветов
Items.spells[33445]		= SimpleTimeManaParser 				--Мятный чай с медом
Items.spells[35947]		= SimpleTimeHealParser 				--Искрящийся морозный гриб
Items.spells[35948]		= SimpleTimeHealParser 				--Пряная снежная слива
Items.spells[35950]		= SimpleTimeHealParser 				--Бататовый хлеб
Items.spells[35951]		= SimpleTimeHealParser 				--Вареный императорский лосось
Items.spells[35952]		= SimpleTimeHealParser 				--Соленый сыр
Items.spells[35953]		= SimpleTimeHealParser 				--Карибу в медовом соусе
Items.spells[38706]		= SimpleTimeHealParser 				--Мозги и кишки
Items.spells[39520]		= SimpleTimeManaParser 				--Кунгалуш
Items.spells[40202]		= SimpleTimeHealParser 				--Пережаренный бок гризли
Items.spells[41729]		= SimpleTimeHealParser 				--Тушеная драконятина
Items.spells[41731]		= SimpleTimeManaParser 				--Молоко йети
Items.spells[42429]		= SimpleTimeHealParser 				--Кекс Кекс "Красная шапочка"
Items.spells[42431]		= SimpleTimeHealParser 				--Даларанское шоколадное пирожное
Items.spells[42434]		= SimpleTimeHealParser 				--Кусочек восхитительного торта
Items.spells[42777]		= SimpleTimeManaParser 				--Бурдюк Авангарда
Items.spells[42778]		= SimpleTimeHealParser 				--Паек Авангарда
Items.spells[42779]		= SimpleTimeHealParser 				--Горячий куриный бульон
Items.spells[43087]		= SimpleTimeHealParser 				--Хрустящее даларанское яблоко
Items.spells[43236]		= SimpleTimeManaParser 				--Звездная печаль
Items.spells[44049]		= SimpleTimeHealParser 				--Свежепойманный императорский лосось
Items.spells[44071]		= SimpleTimeHealParser 				--Хорошо прожаренный угорь
Items.spells[44072]		= SimpleTimeHealParser 				--Жареный загадочный зверь
Items.spells[44607]		= SimpleTimeHealParser 				--Выдержанный даларанский острый сыр
Items.spells[44722]		= SimpleTimeHealParser 				--Подсохший желток
Items.spells[44940]		= SimpleTimeHealParser 				--Сосиска в кукурузных сухариках
Items.spells[45932]		= DoubleTimeHealAndTimeManaParser 	--Черный студень
Items.spells[58274]		= SimpleTimeManaParser 				--Свежая вода
Items.spells[58275]		= SimpleTimeHealParser 				--Сухарь
Items.spells[58276]		= SimpleTimeHealParser 				--Гилнеасская брынза
Items.spells[58277]		= SimpleTimeHealParser 				--Тушеный на медленном огне кальмар
Items.spells[58278]		= SimpleTimeHealParser 				--Тропический солнечный фрукт
Items.spells[58279]		= SimpleTimeHealParser 				--Вкусный гриб-дождевик
Items.spells[58280]		= SimpleTimeHealParser 				--Тушеная крольчатина
Items.spells[59227]		= SimpleTimeHealParser 				--Твердокаменное печенье
Items.spells[59229]		= SimpleTimeManaParser 				--Мутная вода
Items.spells[59231]		= SimpleTimeHealParser 				--Маслянистые потроха
Items.spells[89592]		= DoubleTimeHealAndTimeManaParser 	--Змеиный отвар медитации
Items.spells[89599]		= DoubleTimeHealAndTimeManaParser 	--Тигриный отвар медитации
Items.spells[43518]		= HealAndManaPersentTotalParser 	--Сотворенный пирог из маны
Items.spells[28112]		= DoubleTimeHealAndTimeManaParser 	--Плод подспорника
Items.spells[33444]		= SimpleTimeManaParser 				--Едкая тюленья сыворотка
Items.spells[34125]		= SimpleTimeHealParser 				--Суп из черпорога
Items.spells[34747]		= SimpleTimeHealParser 				--Северная похлебка
Items.spells[34748]		= SimpleTimeHealParser 				--Кушанье из мамонта
Items.spells[34749]		= SimpleTimeHealParser 				--Стейк из черпорога
Items.spells[34750]		= SimpleTimeHealParser 				--Деликатес из змея
Items.spells[34751]		= SimpleTimeHealParser 				--Жареный ворг
Items.spells[34752]		= SimpleTimeHealParser 				--Сосиски из люторога
Items.spells[34753]		= DoubleTimeHealAndTimeManaParser 	--Пир на весь мир
Items.spells[34754]		= SimpleTimeHealParser 				--Сытное кушанье из мамонта
Items.spells[34755]		= SimpleTimeHealParser 				--Нежный стейк из черпорога
Items.spells[34756]		= SimpleTimeHealParser 				--Котлета из змея с пряностями
Items.spells[34757]		= SimpleTimeHealParser 				--Пережаренное мясо ворга
Items.spells[34758]		= SimpleTimeHealParser 				--Сочные сосиски из люторога
Items.spells[34759]		= DoubleTimeHealAndTimeManaParser 	--Копченый камнеперый окунь
Items.spells[34760]		= DoubleTimeHealAndTimeManaParser 	--Костечешуйный луциан - гриль
Items.spells[34761]		= DoubleTimeHealAndTimeManaParser 	--Соте из бычков
Items.spells[34762]		= DoubleTimeHealAndTimeManaParser 	--Подкаменщик-гриль
Items.spells[34763]		= DoubleTimeHealAndTimeManaParser 	--Копченый лосось
Items.spells[34764]		= DoubleTimeHealAndTimeManaParser 	--Вареная медуза
Items.spells[34765]		= DoubleTimeHealAndTimeManaParser 	--Маринованная клыкозубая сельдь
Items.spells[34766]		= DoubleTimeHealAndTimeManaParser 	--Вареный северный подкаменщик
Items.spells[34767]		= DoubleTimeHealAndTimeManaParser 	--Лосось с дымком
Items.spells[34768]		= DoubleTimeHealAndTimeManaParser 	--Синяя медуза с пряностями
Items.spells[34769]		= DoubleTimeHealAndTimeManaParser 	--Стейк из королевского ската
Items.spells[38698]		= SimpleTimeManaParser 				--Горькая плазма
Items.spells[39691]		= SimpleTimeHealParser 				--Наваристая похлебка из косатки
Items.spells[42428]		= SimpleTimeHealParser 				--Морковный кекс
Items.spells[42430]		= SimpleTimeHealParser 				--Даларанский пончик
Items.spells[42432]		= SimpleTimeHealParser 				--Кусок ягодного пирога
Items.spells[42433]		= SimpleTimeHealParser 				--Кусок шоколадного торта
Items.spells[42942]		= DoubleTimeHealAndTimeManaParser 	--Печеный морской дьявол
Items.spells[42993]		= DoubleTimeHealAndTimeManaParser 	--Острая жареная сельдь
Items.spells[42994]		= SimpleTimeHealParser 				--Люторожий змеестейк
Items.spells[42995]		= SimpleTimeHealParser 				--Сочное мясо люторога
Items.spells[42996]		= DoubleTimeHealAndTimeManaParser 	--Луциан особого приготовления
Items.spells[42997]		= SimpleTimeHealParser 				--Подкопченный стейк из ворга
Items.spells[42998]		= DoubleTimeHealAndTimeManaParser 	--Стейк из каракатицы
Items.spells[42999]		= DoubleTimeHealAndTimeManaParser 	--Подкопченная дракоперая рыба-ангел
Items.spells[43000]		= DoubleTimeHealAndTimeManaParser 	--Филе дракоперой рыбы-ангела
Items.spells[43001]		= SimpleTimeHealParser 				--Завтрак следопыта
Items.spells[43015]		= DoubleTimeHealAndTimeManaParser 	--Рыбный пир
Items.spells[43086]		= SimpleTimeManaParser 				--Свежий яблочный сок
Items.spells[43268]		= DoubleTimeHealAndTimeManaParser 	--Даларанская похлебка из моллюсков
Items.spells[43478]		= DoubleTimeHealAndTimeManaParser 	--Пир для великанов
Items.spells[43480]		= DoubleTimeHealAndTimeManaParser 	--Пир для карликов
Items.spells[44941]		= SimpleTimeManaParser 				--Свежевыжатый лимеад
Items.spells[44953]		= DoubleTimeHealAndTimeManaParser 	--Карпаччо из ворга
Items.spells[69243]		= SimpleTimeHealParser 				--Кусочек торта-мороженого
Items.spells[22018]		= SimpleTimeManaParser 				--Сотворенная ледниковая вода
Items.spells[22019]		= SimpleTimeHealParser 				--Сотворенный круассан
Items.spells[27860]		= SimpleTimeManaParser 				--Очищенная дренорская вода
Items.spells[29394]		= SimpleTimeHealParser 				--Хлеб Лири
Items.spells[29395]		= SimpleTimeManaParser 				--Небесный мед
Items.spells[29401]		= SimpleTimeManaParser 				--Игристый сидр с Южнобережья
Items.spells[29448]		= SimpleTimeHealParser 				--Плавленый сыр маг'харов
Items.spells[29449]		= SimpleTimeHealParser 				--Бублик Камнерогов
Items.spells[29450]		= SimpleTimeHealParser 				--Телаарский виноград
Items.spells[29451]		= SimpleTimeHealParser 				--Грудинка копытня
Items.spells[29452]		= SimpleTimeHealParser 				--Зангарская форель
Items.spells[29453]		= SimpleTimeHealParser 				--Спореггарский гриб
Items.spells[30355]		= SimpleTimeHealParser 				--Жареные клубни долины Призрачной Луны
Items.spells[30357]		= SimpleTimeHealParser 				--Корень здоровья Оронока
Items.spells[30358]		= SimpleTimeHealParser 				--Корень ловкости Оронока
Items.spells[30359]		= SimpleTimeHealParser 				--Корень силы Оронока
Items.spells[30361]		= SimpleTimeHealParser 				--Корень силы заклинаний Оронока
Items.spells[30457]		= SimpleTimeManaParser 				--Гилнеасская шипучка
Items.spells[32453]		= SimpleTimeManaParser 				--Слезы Звезд
Items.spells[32668]		= SimpleTimeManaParser 				--Дос Огрос
Items.spells[32685]		= SimpleTimeHealParser 				--Цыплячьи крылышки из Огри'лы
Items.spells[32686]		= SimpleTimeHealParser 				--Потрошки удачи Минго
Items.spells[32722]		= DoubleTimeHealAndTimeManaParser 	--Сироп из сока терошишки
Items.spells[33042]		= SimpleTimeManaParser 				--Черный кофе
Items.spells[33048]		= SimpleTimeHealParser 				--Тушеная форель
Items.spells[33052]		= SimpleTimeHealParser 				--Рыбацкая услада
Items.spells[33053]		= DoubleTimeHealAndTimeManaParser 	--Жареная форель
Items.spells[33443]		= SimpleTimeHealParser 				--Кислый козий сыр
Items.spells[33449]		= SimpleTimeHealParser 				--Хрустящая лепешка
Items.spells[33451]		= SimpleTimeHealParser 				--Филе ледоспина
Items.spells[33452]		= SimpleTimeHealParser 				--Лишайник с медом
Items.spells[33454]		= SimpleTimeHealParser 				--Соленая оленина
Items.spells[33825]		= SimpleTimeManaParser 				--Суп из рыбы-черепа
Items.spells[33872]		= SimpleTimeHealParser 				--Острый стейк из талбука
Items.spells[34062]		= DoubleTimeHealAndTimeManaParser 	--Сотворенный бисквит из маны
Items.spells[34411]		= SimpleTimeManaParser 				--Горячий яблочный сидр
Items.spells[34780]		= DoubleTimeHealAndTimeManaParser 	--Рацион наару
Items.spells[35949]		= SimpleTimeHealParser 				--Тундровая ягода
Items.spells[35954]		= SimpleTimeManaParser 				--Подслащенное козье молоко
Items.spells[37252]		= SimpleTimeHealParser 				--Ягоды снежевики
Items.spells[37253]		= SimpleTimeManaParser 				--Снежевичный сок
Items.spells[37452]		= SimpleTimeHealParser 				--Жирный голубой тунец
Items.spells[38428]		= SimpleTimeHealParser 				--Перченый крендель
Items.spells[38431]		= SimpleTimeManaParser 				--Обогащенная вода Черной горы
Items.spells[40356]		= SimpleTimeHealParser 				--Ворчуника
Items.spells[40357]		= SimpleTimeManaParser 				--Ворчуничный сок
Items.spells[40358]		= SimpleTimeHealParser 				--Сырое мясо высокорогого оленя
Items.spells[40359]		= SimpleTimeHealParser 				--Свежее мясо орла
Items.spells[44608]		= SimpleTimeHealParser 				--Даларанский сыр
Items.spells[44609]		= SimpleTimeHealParser 				--Кусок свежего даларанского хлеба
Items.spells[44749]		= SimpleTimeHealParser 				--Соленый сыр йети
Items.spells[44750]		= SimpleTimeManaParser 				--Вода из горных источников
Items.spells[89591]		= DoubleTimeHealAndTimeManaParser 	--Змеиный отвар странствий
Items.spells[89598]		= DoubleTimeHealAndTimeManaParser 	--Тигровый отвар странствий
Items.spells[65517]		= HealAndManaPersentTotalParser 	--Сотворенный леденец из маны
Items.spells[28399]		= SimpleTimeManaParser 				--Фильтрованная дренорская вода
Items.spells[29454]		= SimpleTimeManaParser 				--Серебрянка
Items.spells[30703]		= SimpleTimeManaParser 				--Сотворенная горная вода
Items.spells[38430]		= SimpleTimeManaParser 				--Минеральная вода Черной горы
Items.spells[46887]		= HealAndManaPersentPerSecondParser	--Богатый пир
Items.spells[8079]		= SimpleTimeManaParser 				--Сотворенная талая вода
Items.spells[18300]		= SimpleTimeManaParser 				--Хиджальский нектар
Items.spells[19696]		= HealPersentPerSecondParser 		--Хлеб нового урожая
Items.spells[19994]		= HealPersentPerSecondParser 		--Фрукты с праздника урожая
Items.spells[19995]		= HealPersentPerSecondParser 		--Мясо вепря с праздника урожая
Items.spells[19996]		= HealPersentPerSecondParser 		--Рыба с праздника урожая
Items.spells[20031]		= DoubleTimeHealAndTimeManaParser 	--Концентрат манго
Items.spells[20516]		= HealAndManaPersentPerSecondParser	--Гладкое яблоко
Items.spells[21023]		= SimpleTimeHealParser 				--Зажигательные отбивные Могиля из химерока
Items.spells[21235]		= HealPersentPerSecondParser 		--Поджарка Зимнего Покрова
Items.spells[21254]		= TimeHealAndTimeMana 				--Печенье Зимнего Покрова
Items.spells[22895]		= SimpleTimeHealParser 				--Сотворенная плюшка с корицей
Items.spells[24008]		= SimpleTimeHealParser 				--Паек из сухих грибов
Items.spells[24009]		= SimpleTimeHealParser 				--Паек из сухофруктов
Items.spells[24338]		= SimpleTimeHealParser 				--Пламенный шиполист
Items.spells[24539]		= SimpleTimeHealParser 				--Болотные сыроежки
Items.spells[27651]		= SimpleTimeHealParser 				--Закуска из канюка
Items.spells[27655]		= SimpleTimeHealParser 				--Сосиска из мяса опустошителя
Items.spells[27657]		= SimpleTimeHealParser 				--Копченый василиск
Items.spells[27658]		= SimpleTimeHealParser 				--Жареное мясо копытня
Items.spells[27659]		= SimpleTimeHealParser 				--Котлета из прыгуаны
Items.spells[27660]		= SimpleTimeHealParser 				--Стейк из талбука
Items.spells[27661]		= SimpleTimeHealParser 				--Копченая форель
Items.spells[27662]		= SimpleTimeHealParser 				--Лакомство из сквернохвоста
Items.spells[27663]		= SimpleTimeHealParser 				--Копченый спороус
Items.spells[27664]		= SimpleTimeHealParser 				--Жареная ильница
Items.spells[27665]		= SimpleTimeHealParser 				--Вареный луфарь
Items.spells[27666]		= SimpleTimeHealParser 				--Палочки из золотой рыбки
Items.spells[27667]		= SimpleTimeHealParser 				--Рак с пряностями
Items.spells[27854]		= SimpleTimeHealParser 				--Копченый дикий талбук
Items.spells[27855]		= SimpleTimeHealParser 				--Зерновой хлеб маг'харов
Items.spells[27856]		= SimpleTimeHealParser 				--Скетильские ягоды
Items.spells[27857]		= SimpleTimeHealParser 				--Гарадарская закуска
Items.spells[27858]		= SimpleTimeHealParser 				--Карп Солнечного Источника
Items.spells[27859]		= SimpleTimeHealParser 				--Зангарские шляпки
Items.spells[28486]		= SimpleTimeHealParser 				--Изумительный кекс Мозера
Items.spells[28501]		= SimpleTimeHealParser 				--Омлет из яйца опустошителя
Items.spells[29292]		= SimpleTimeHealParser 				--Зловепревая ветчина
Items.spells[29393]		= SimpleTimeHealParser 				--Алмазные ягоды
Items.spells[29412]		= SimpleTimeHealParser 				--Особая похлебка Джессена
Items.spells[30155]		= SimpleTimeHealParser 				--Батончик из мяса моллюска
Items.spells[30458]		= SimpleTimeHealParser 				--Мюнстерский сыр из Стромгарда
Items.spells[30610]		= SimpleTimeHealParser 				--Копченое мясо черного медведя
Items.spells[31672]		= SimpleTimeHealParser 				--Ребрышки Мок'Натала
Items.spells[31673]		= SimpleTimeHealParser 				--Поджаристый змей
Items.spells[32455]		= SimpleTimeManaParser 				--Плач Звезд
Items.spells[32721]		= SimpleTimeHealParser 				--Паек Стражи Небес
Items.spells[33867]		= SimpleTimeHealParser 				--Зажаренный на открытом огне афиохаракс
Items.spells[38427]		= SimpleTimeHealParser 				--Маринованное яйцо
Items.spells[41751]		= SimpleTimeHealParser 				--Черный гриб
Items.spells[44791]		= HealPersentPerSecondParser 		--Праздничное шоколадное яйцо
Items.spells[46691]		= TimeHealAndTimeMana 				--Поминальный хлеб
Items.spells[75027]		= HealPersentPerSecondParser 		--Тельдрассилская вырезка
Items.spells[75028]		= ManaPersentPerSecondParser 		--Штормградский сюрприз
Items.spells[75029]		= HealPersentPerSecondParser 		--Вымоченные в пиве ребрышки
Items.spells[75030]		= HealPersentPerSecondParser 		--Гномреганские наггетсы
Items.spells[75031]		= HealPersentPerSecondParser 		--Дренейские клецки
Items.spells[75032]		= HealPersentPerSecondParser 		--Мулгорский мясной пирог
Items.spells[75033]		= HealPersentPerSecondParser 		--Зеленая ветчина с яйцом
Items.spells[75034]		= HealPersentPerSecondParser 		--Фуа-гра Отрекшихся
Items.spells[75035]		= HealPersentPerSecondParser 		--Тартар по-тролльски
Items.spells[75036]		= HealPersentPerSecondParser 		--Луносветский стейк
Items.spells[89590]		= DoubleTimeHealAndTimeManaParser 	--Змеиный отвар бедствия
Items.spells[89597]		= DoubleTimeHealAndTimeManaParser 	--Тигриный отвар бедствия
Items.spells[65516]		= HealAndManaPersentTotalParser 	--Сотворенный кекс из маны
Items.spells[19301]		= DoubleTimeHealAndTimeManaParser 	--Альтеракский манный бисквит
Items.spells[8076]		= SimpleTimeHealParser 				--Сотворенная сладкая булочка
Items.spells[8078]		= SimpleTimeManaParser 				--Сотворенная шипучка
Items.spells[8766]		= SimpleTimeManaParser 				--Роса с цветков вьюнка
Items.spells[8932]		= SimpleTimeHealParser 				--Альтеракский сыр
Items.spells[8948]		= SimpleTimeHealParser 				--Сушеные белые грибы
Items.spells[8950]		= SimpleTimeHealParser 				--Домашний пирог с вишней
Items.spells[8952]		= SimpleTimeHealParser 				--Жареная куропатка
Items.spells[8953]		= SimpleTimeHealParser 				--Жареные бананы
Items.spells[8957]		= SimpleTimeHealParser 				--Гребнеплавничный палтус
Items.spells[11415]		= SimpleTimeHealParser 				--Смесь ягод
Items.spells[11444]		= SimpleTimeHealParser 				--Мясо вепря из "Угрюмого обжоры"
Items.spells[11951]		= SimpleTimeHealParser 				--Плод кнутокорня
Items.spells[13724]		= DoubleTimeHealAndTimeManaParser 	--Сытное манное печенье
Items.spells[13810]		= SimpleTimeHealParser 				--Благословенный солнцеплод
Items.spells[13893]		= SimpleTimeHealParser 				--Крупная сырая мощь-рыба
Items.spells[13933]		= SimpleTimeHealParser 				--Похлебка из омаров
Items.spells[13934]		= SimpleTimeHealParser 				--Стейк из мощь-рыбы
Items.spells[13935]		= SimpleTimeHealParser 				--Печеный лосось
Items.spells[18254]		= SimpleTimeHealParser 				--Десерт из корня Рун-Тум
Items.spells[18255]		= SimpleTimeHealParser 				--Корень Рун-Тум
Items.spells[19225]		= SimpleTimeHealParser 				--Поджаристый шоколадный батончик
Items.spells[20452]		= SimpleTimeHealParser 				--Копченые пустынные клецки
Items.spells[21031]		= SimpleTimeHealParser 				--Капуста кимчи
Items.spells[21033]		= SimpleTimeHealParser 				--Кимчи с редькой
Items.spells[22324]		= SimpleTimeHealParser 				--Зимнее кимчи
Items.spells[23160]		= SimpleTimeHealParser 				--Хлеб дружбы
Items.spells[35563]		= SimpleTimeHealParser 				--Кебаб из медвежатины на углях
Items.spells[38429]		= SimpleTimeManaParser 				--Ключевая вода Черной горы
Items.spells[67270]		= SimpleTimeHealParser 				--Бок Урсиуса
Items.spells[67271]		= SimpleTimeHealParser 				--Барбекю из Смертоуха
Items.spells[67272]		= SimpleTimeHealParser 				--Стейк из Ши-Ротам
Items.spells[67273]		= SimpleTimeHealParser 				--Омлет из яиц хладнокрылой химеры
Items.spells[89589]		= DoubleTimeHealAndTimeManaParser 	--Змеиный отвар послушника
Items.spells[89596]		= DoubleTimeHealAndTimeManaParser 	--Тигриный отвар послушника
Items.spells[65515]		= HealAndManaPersentTotalParser 	--Сотворенное пирожное из маны
Items.spells[12216]		= SimpleTimeHealParser 				--Острое крабовое чили
Items.spells[12218]		= SimpleTimeHealParser 				--Чудовищный омлет
Items.spells[16971]		= SimpleTimeHealParser 				--Мидии с сюрпризом
Items.spells[18045]		= SimpleTimeHealParser 				--Нежный стейк из волчатины
Items.spells[21215]		= HealAndManaPersentPerSecondParser	--Кекс Гракку с мясом и фруктами
Items.spells[63691]		= SimpleTimeHealParser 				--Хрустящее эскимо Бливельверпа
Items.spells[69244]		= SimpleTimeHealParser 				--Брикет мороженого
Items.spells[1645]		= SimpleTimeManaParser 				--Сок луноягоды
Items.spells[3927]		= SimpleTimeHealParser 				--Кусок старого чеддера
Items.spells[4599]		= SimpleTimeHealParser 				--Кусок ветчины
Items.spells[4601]		= SimpleTimeHealParser 				--Свежий банановый хлеб
Items.spells[4602]		= SimpleTimeHealParser 				--Полуночная тыква
Items.spells[4608]		= SimpleTimeHealParser 				--Свежий черный трюфель
Items.spells[6887]		= SimpleTimeHealParser 				--Пятнистый желтохвост
Items.spells[8075]		= SimpleTimeHealParser 				--Сотворенный батон
Items.spells[8077]		= SimpleTimeManaParser 				--Сотворенная минеральная вода
Items.spells[9681]		= SimpleTimeHealParser 				--Жареные ножки королевского краба
Items.spells[12215]		= SimpleTimeHealParser 				--Сытная похлебка из кодо
Items.spells[13546]		= SimpleTimeHealParser 				--Рыба-кровобрюх
Items.spells[13755]		= SimpleTimeHealParser 				--Зимний кальмар
Items.spells[13927]		= SimpleTimeHealParser 				--Мощь-рыба в кляре
Items.spells[13928]		= SimpleTimeHealParser 				--Кальмар-гриль
Items.spells[13929]		= SimpleTimeHealParser 				--Окунь горячего копчения
Items.spells[13930]		= SimpleTimeHealParser 				--Филе краснобородки
Items.spells[13931]		= SimpleTimeHealParser 				--Суп из ночного луциана
Items.spells[13932]		= SimpleTimeHealParser 				--Вареный радужный лосось
Items.spells[16168]		= SimpleTimeHealParser 				--Небесный персик
Items.spells[16766]		= SimpleTimeHealParser 				--Шахтерская похлебка из моллюсков
Items.spells[17222]		= SimpleTimeHealParser 				--Паучья колбаска
Items.spells[17408]		= SimpleTimeHealParser 				--Острый бифштекс
Items.spells[18635]		= SimpleTimeHealParser 				--Ореховая паста Беллары
Items.spells[19300]		= SimpleTimeManaParser 				--Бутылка талой воды
Items.spells[19306]		= SimpleTimeHealParser 				--Хрустящая лягушка
Items.spells[21030]		= SimpleTimeHealParser 				--Дарнасский пирог с кимчи
Items.spells[21552]		= SimpleTimeHealParser 				--Полосатый желтохвост
Items.spells[33004]		= DoubleTimeHealAndTimeManaParser 	--Невероятные мидии
Items.spells[61382]		= SimpleTimeManaParser 				--Лаймонад Гарра
Items.spells[63023]		= SimpleTimeManaParser 				--Сладкий чай
Items.spells[89588]		= DoubleTimeHealAndTimeManaParser 	--Змеиный отвар новичка
Items.spells[89595]		= DoubleTimeHealAndTimeManaParser 	--Тигриный отвар новичка
Items.spells[65500]		= HealAndManaPersentTotalParser 	--Сотворенное печенье из маны
Items.spells[21217]		= DoubleTimeHealAndTimeManaParser 	--Деликатес из шалфокуня
Items.spells[63692]		= SimpleTimeHealParser 				--Замороженный заварной крем
Items.spells[57519]		= SimpleTimeHealParser 				--Особое жаркое Пирожка
Items.spells[1487]		= SimpleTimeHealParser 				--Сотворенный хлеб грубого помола
Items.spells[1707]		= SimpleTimeHealParser 				--Штормградский бри
Items.spells[1708]		= SimpleTimeManaParser 				--Сладкий нектар
Items.spells[3728]		= SimpleTimeHealParser 				--Сочный стейк из мяса льва
Items.spells[3729]		= SimpleTimeHealParser 				--Нежный черепаховый суп
Items.spells[3771]		= SimpleTimeHealParser 				--Рулька дикой свиньи
Items.spells[3772]		= SimpleTimeManaParser 				--Сотворенная ключевая вода
Items.spells[4457]		= SimpleTimeHealParser 				--Жареное крыло канюка
Items.spells[4539]		= SimpleTimeHealParser 				--Золотистое яблоко
Items.spells[4544]		= SimpleTimeHealParser 				--Мулгорский хлеб с пряностями
Items.spells[4594]		= SimpleTimeHealParser 				--Каменношкурая треска
Items.spells[4607]		= SimpleTimeHealParser 				--Вкуснейший пещерный гриб
Items.spells[4791]		= SimpleTimeManaParser 				--Заколдованная вода
Items.spells[6038]		= SimpleTimeHealParser 				--Гигантский жареный моллюск
Items.spells[6807]		= SimpleTimeHealParser 				--Похлебка из лягушачьих окорочков
Items.spells[8364]		= SimpleTimeHealParser 				--Мифрилоголовая форель
Items.spells[10841]		= SimpleTimeManaParser 				--Чай из златошипа
Items.spells[12210]		= SimpleTimeHealParser 				--Жареный ящер
Items.spells[12212]		= SimpleTimeHealParser 				--Похлебка "Джунгли"
Items.spells[12213]		= SimpleTimeHealParser 				--Десерт из мертвечины
Items.spells[12214]		= SimpleTimeHealParser 				--Загадочная похлебка
Items.spells[13851]		= SimpleTimeHealParser 				--Острая волчья грудинка
Items.spells[16169]		= SimpleTimeHealParser 				--Пирожок с диким рисом
Items.spells[17407]		= SimpleTimeHealParser 				--Домашний пирожок Гракку
Items.spells[18632]		= SimpleTimeHealParser 				--Изумительный соус из Луноречья
Items.spells[19224]		= SimpleTimeHealParser 				--Крылышки с красным перцем
Items.spells[20074]		= SimpleTimeHealParser 				--Сытная похлебка из кроколиска
Items.spells[61383]		= SimpleTimeHealParser 				--Лаймовый пирог Гарра
Items.spells[64641]		= SimpleTimeHealParser 				--"Вкуснейший" червестейк
Items.spells[63693]		= SimpleTimeHealParser 				--Мороженое "Бякомка"
Items.spells[63694]		= SimpleTimeHealParser 				--Фруктовое мороженое без силитида
Items.spells[422]		= SimpleTimeHealParser 				--Дворфийский мягкий сыр
Items.spells[733]		= SimpleTimeHealParser 				--Похлебка Западного Края
Items.spells[1017]		= SimpleTimeHealParser 				--Приправленная котлета из волчатины
Items.spells[1082]		= SimpleTimeHealParser 				--Гуляш по-красногорски
Items.spells[1114]		= SimpleTimeHealParser 				--Сотворенный ржаной хлеб
Items.spells[1205]		= SimpleTimeManaParser 				--Дынный сок
Items.spells[2136]		= SimpleTimeManaParser 				--Сотворенная чистая вода
Items.spells[2685]		= SimpleTimeHealParser 				--Сочные свиные ребрышки
Items.spells[3663]		= SimpleTimeHealParser 				--Суп из плавников мурлока
Items.spells[3664]		= SimpleTimeHealParser 				--Суп из кроколиска
Items.spells[3665]		= SimpleTimeHealParser 				--Невероятно вкусный омлет
Items.spells[3666]		= SimpleTimeHealParser 				--Пирожок из паучатины
Items.spells[3726]		= SimpleTimeHealParser 				--Большой медвежий стейк
Items.spells[3727]		= SimpleTimeHealParser 				--Острая отбивная из мяса льва
Items.spells[3770]		= SimpleTimeHealParser 				--Баранья котлета
Items.spells[4538]		= SimpleTimeHealParser 				--Дикий арбуз
Items.spells[4542]		= SimpleTimeHealParser 				--Подмокший кукурузный хлеб
Items.spells[4593]		= SimpleTimeHealParser 				--Ощетиненная зубатка
Items.spells[4606]		= SimpleTimeHealParser 				--Губчатые сморчки
Items.spells[5478]		= SimpleTimeHealParser 				--Похлебка из пещерной крысы
Items.spells[5479]		= SimpleTimeHealParser 				--Хрустящий хвост ящерицы
Items.spells[5480]		= SimpleTimeHealParser 				--Постная оленина
Items.spells[5526]		= SimpleTimeHealParser 				--Похлебка из моллюсков
Items.spells[5527]		= SimpleTimeHealParser 				--Мидии по-гоблински
Items.spells[7228]		= SimpleTimeHealParser 				--Клубничное мороженое Тигуля и Форора
Items.spells[9451]		= SimpleTimeManaParser 				--Вода с пузырьками
Items.spells[12209]		= SimpleTimeHealParser 				--Постный стейк из волчатины
Items.spells[16170]		= SimpleTimeHealParser 				--Манты на пару
Items.spells[19299]		= SimpleTimeManaParser 				--Ярмарочная шипучка
Items.spells[19305]		= SimpleTimeHealParser 				--Маринованная ножка кодо
Items.spells[46392]		= SimpleTimeHealParser 				--Стейк из оленины
Items.spells[57518]		= SimpleTimeHealParser 				--Потрясающее мороженое мистера Булька
Items.spells[60375]		= SimpleTimeHealParser 				--Чудесный вишневый пирог
Items.spells[60377]		= SimpleTimeHealParser 				--Очень мясной пирог
Items.spells[60378]		= SimpleTimeHealParser 				--Втыквенный пирог
Items.spells[60379]		= SimpleTimeHealParser 				--Куличик
Items.spells[65730]		= SimpleTimeHealParser 				--Сэндвичи с олениной
Items.spells[65731]		= SimpleTimeHealParser 				--Шашлык из сердец йети
Items.spells[90660]		= SimpleTimeManaParser 				--Черный чай
Items.spells[60267]		= SimpleTimeHealParser 				--Деревенская тыква
Items.spells[60268]		= SimpleTimeHealParser 				--Привет бродяги
Items.spells[60269]		= SimpleTimeManaParser 				--Вода из колодца
Items.spells[21072]		= DoubleTimeHealAndTimeManaParser 	--Копченый шалфокунь
Items.spells[24105]		= SimpleTimeHealParser 				--Жареная вырезка лунного оленя
Items.spells[27635]		= SimpleTimeHealParser 				--Стейк из рысятины
Items.spells[414]		= SimpleTimeHealParser 				--Даларанский острый сыр
Items.spells[724]		= SimpleTimeHealParser 				--Пирожок из печени кровоклыка
Items.spells[961]		= SimpleTimeHealParser 				--Целебная трава
Items.spells[1113]		= SimpleTimeHealParser 				--Сотворенный хлеб
Items.spells[1179]		= SimpleTimeManaParser 				--Ледяное молоко
Items.spells[1326]		= SimpleTimeHealParser 				--Соте из рыбы-луны
Items.spells[2287]		= SimpleTimeHealParser 				--Окорок
Items.spells[2288]		= SimpleTimeManaParser 				--Сотворенная свежая вода
Items.spells[2682]		= DoubleTimeHealAndTimeManaParser 	--Вареная клешня краба
Items.spells[2683]		= SimpleTimeHealParser 				--Пирожок с мясом краба
Items.spells[2684]		= SimpleTimeHealParser 				--Стейк из койота
Items.spells[2687]		= SimpleTimeHealParser 				--Сушеные свиные ребрышки
Items.spells[3220]		= SimpleTimeHealParser 				--Кровяная колбаса
Items.spells[3448]		= DoubleTimeHealAndTimeManaParser 	--Корень сенджины
Items.spells[3662]		= SimpleTimeHealParser 				--Стейк из кроколиска
Items.spells[4537]		= SimpleTimeHealParser 				--Тел'абимские бананы
Items.spells[4541]		= SimpleTimeHealParser 				--Свежевыпеченный хлеб
Items.spells[4592]		= SimpleTimeHealParser 				--Острозубый илистый луциан
Items.spells[4605]		= SimpleTimeHealParser 				--Гриб с красной шляпкой
Items.spells[5066]		= SimpleTimeHealParser 				--Ущельник
Items.spells[5095]		= SimpleTimeHealParser 				--Радужный тунец
Items.spells[5476]		= SimpleTimeHealParser 				--Филе бешенки
Items.spells[5477]		= SimpleTimeHealParser 				--Похлебка из долгонога
Items.spells[5525]		= SimpleTimeHealParser 				--Отварные мидии
Items.spells[6316]		= SimpleTimeHealParser 				--Деликатес из бешенки
Items.spells[6890]		= SimpleTimeHealParser 				--Копченая медвежатина
Items.spells[11584]		= SimpleTimeHealParser 				--Кактусовый десерт
Items.spells[12238]		= SimpleTimeHealParser 				--Морской окунь Темных берегов
Items.spells[16167]		= SimpleTimeHealParser 				--Разноцветный десерт
Items.spells[17119]		= SimpleTimeHealParser 				--Шашлык из подземной крысы
Items.spells[17404]		= SimpleTimeManaParser 				--Сборная солянка с фасолью
Items.spells[17406]		= SimpleTimeHealParser 				--Праздничный сыр
Items.spells[18633]		= SimpleTimeHealParser 				--Леденцы Стилины
Items.spells[19304]		= SimpleTimeHealParser 				--Острая бастурма
Items.spells[22645]		= SimpleTimeHealParser 				--Хрустящий паучий десерт
Items.spells[24072]		= SimpleTimeHealParser 				--Грушевый пирог
Items.spells[27636]		= SimpleTimeHealParser 				--Закуска из летучей мыши
Items.spells[49365]		= SimpleTimeManaParser 				--Отвар из древовидного вереска
Items.spells[49397]		= SimpleTimeHealParser 				--Полусъеденная крыса
Items.spells[49600]		= SimpleTimeHealParser 				--Гоблинское песочное печенье
Items.spells[49601]		= SimpleTimeManaParser 				--Вулканическая ключевая вода
Items.spells[62909]		= SimpleTimeHealParser 				--"Медвежьи" отбивные
Items.spells[63530]		= SimpleTimeManaParser 				--Освежающий ананасовый пунш
Items.spells[67230]		= SimpleTimeHealParser 				--Вяленая оленина
Items.spells[69920]		= SimpleTimeHealParser 				--Пряная похлебка из тараканов
Items.spells[90659]		= SimpleTimeManaParser 				--Жасминовый чай
Items.spells[112095]	= SimpleTimeHealParser 				--Полусъеденный банан
Items.spells[1401]		= DoubleTimeHealAndTimeManaParser 	--Чайные листья Речной Лапы
Items.spells[117]		= SimpleTimeHealParser 				--Жесткая солонина
Items.spells[159]		= SimpleTimeManaParser 				--Освежающая ключевая вода
Items.spells[787]		= SimpleTimeHealParser 				--Скользкокожая скумбрия
Items.spells[2070]		= SimpleTimeHealParser 				--Дарнасский блю
Items.spells[2679]		= SimpleTimeHealParser 				--Волчатина на углях
Items.spells[2680]		= SimpleTimeHealParser 				--Волчатина с пряностями
Items.spells[2681]		= SimpleTimeHealParser 				--Жареная кабанина
Items.spells[2888]		= SimpleTimeHealParser 				--Кабаньи ребрышки в пиве
Items.spells[4536]		= SimpleTimeHealParser 				--Спелое красное яблоко
Items.spells[4540]		= SimpleTimeHealParser 				--Черствая краюха хлеба
Items.spells[4604]		= SimpleTimeHealParser 				--Шляпка лесного гриба
Items.spells[4656]		= SimpleTimeHealParser 				--Маленькая тыква
Items.spells[5057]		= SimpleTimeHealParser 				--Спелый арбуз
Items.spells[5349]		= SimpleTimeHealParser 				--Сотворенный кекс
Items.spells[5350]		= SimpleTimeManaParser 				--Сотворенная вода
Items.spells[5472]		= SimpleTimeHealParser 				--Калдорайский шашлык из паука
Items.spells[5474]		= SimpleTimeHealParser 				--Жареное мясо кодо
Items.spells[6290]		= SimpleTimeHealParser 				--Блестящая рыбка
Items.spells[6299]		= SimpleTimeHealParser 				--Хилая рыбка
Items.spells[6888]		= SimpleTimeHealParser 				--Яйцо с травами
Items.spells[7097]		= SimpleTimeHealParser 				--Окорочок
Items.spells[7806]		= SimpleTimeHealParser 				--Леденец
Items.spells[7807]		= SimpleTimeHealParser 				--Сладкий батончик
Items.spells[7808]		= SimpleTimeHealParser 				--Плитка шоколада
Items.spells[11109]		= SimpleTimeHealParser 				--Цыплячий корм
Items.spells[12224]		= SimpleTimeHealParser 				--Хрустящее крылышко летучей мыши
Items.spells[16166]		= SimpleTimeHealParser 				--Фасолевый суп
Items.spells[17197]		= SimpleTimeHealParser 				--Имбирное печенье
Items.spells[17198]		= SimpleTimeHealParser 				--Гоголь-моголь Зимнего Покрова
Items.spells[17344]		= SimpleTimeHealParser 				--Конфетка
Items.spells[19223]		= SimpleTimeHealParser 				--Хот-дог Новолуния
Items.spells[20857]		= SimpleTimeHealParser 				--Медовые лепешки
Items.spells[23495]		= SimpleTimeHealParser 				--Закуска из прыголапа
Items.spells[23756]		= SimpleTimeHealParser 				--Крабовый супчик поваренка
Items.spells[30816]		= SimpleTimeHealParser 				--Хлеб с пряностями
Items.spells[44838]		= HealAndManaPersentPerSecondParser	--Запеченная индейка
Items.spells[44840]		= HealAndManaPersentPerSecondParser	--Клюквенный соус
Items.spells[44854]		= SimpleTimeHealParser 				--Кислая клюква из Болотины
Items.spells[44855]		= SimpleTimeHealParser 				--Тельдрассильский батат
Items.spells[46690]		= SimpleTimeHealParser 				--Шоколадный череп
Items.spells[46784]		= SimpleTimeHealParser 				--Спелая элвиннская тыква
Items.spells[46793]		= SimpleTimeHealParser 				--Кислая клюква с берегов реки Строптивой
Items.spells[46796]		= SimpleTimeHealParser 				--Спелая тирисфальская тыква
Items.spells[46797]		= SimpleTimeHealParser 				--Мулгорский батат
Items.spells[49253]		= SimpleTimeHealParser 				--Слегка изъеденный червями сухарь
Items.spells[49254]		= SimpleTimeManaParser 				--Собравшаяся на парусине роса
Items.spells[57544]		= SimpleTimeHealParser 				--Остатки кабанины
Items.spells[77264]		= SimpleTimeHealParser 				--Короткий побег бамбука
Items.spells[77272]		= SimpleTimeHealParser 				--Короткий стебель сахарного тростника
Items.spells[77273]		= SimpleTimeHealParser 				--Пирожок с рисом
Items.spells[116405]	= HealAndManaPersentPerSecondParser	--Густой клюквенный соус
Items.spells[116407]	= HealAndManaPersentPerSecondParser	--Копченая индейка
Items.spells[126934]	= HealAndManaPersentPerSecondParser	--Филе с лимоном и травами
Items.spells[126935]	= HealAndManaPersentPerSecondParser	--Затейливый пир Новолуния
Items.spells[126936]	= HealAndManaPersentPerSecondParser	--Угощение из засахаренной рыбы

-- Расходуемые:

--Праздничные клецки:
local FestivalDumplings = MultiParser:create(SpellTimeHealAndTimeMana, {1, 2, 3}, function(data, match)
	data.timeHeal = UnitHealthMax("player") * match[1] / 100 * match[3]
	data.timeMana = UnitManaMax("player") * match[2] / 100 * match[3]
end)

--Странный светящийся гриб:
local StrangeGlowingMushroom = MultiParser:create(SpellTimeHealAndTimeMana, {1, 2, 3, 4}, function(data, match)
	local times = math.floor(match[4] / match[3])
	data.timeHeal = UnitHealthMax("player") * match[1] / 100 * times
	data.timeMana = UnitManaMax("player") * match[2] / 100 * times
end)

--Светящийся улей:
local GlowingHoneycomb = MultiParser:create(SpellHeal, {1}, function(data, match)
	data.heal = UnitHealthMax("player") * match[1] / 100
end)

--Тенеягода:
local Shadowberry = MultiParser:create(SpellTimeHeal, {1, 2}, function(data, match)
	data.timeHeal = UnitHealthMax("player") * match[1] / 100 * math.floor(60 / match[2])
end)

--Жгучий эль "Пламя дракона":
local DrakefireChileAle = MultiParser:create(SpellTimeDamage, {1, 2}, function(data, match)
	data.timeDamage = match[1] * match[2]
end)

--Целебный мухомор:
local RestorativeGoldcap = MultiParser:create(SpellTimeHeal, {1, 2, 3}, function(data, match)
	data.timeHeal = UnitHealthMax("player") * match[1] / 100 * math.floor(match[3] / match[2])
end)

Items.spells[22795]		= SimpleAbsorbParser 				--Скверноцвет
Items.spells[15723]		= HealAndMana 						--Чай с сахаром
Items.spells[22193]		= SimpleAbsorbParser 				--Кровавый эликсир сопротивления
Items.spells[10830]		= SimpleDamageParser 				--Осколочная граната M73
Items.spells[14894]		= HealAndMana 						--Корень лилии
Items.spells[4598]		= SimpleDamageParser 				--Гоблинская удочка
Items.spells[1127]		= DoubleDamageParser 				--Взрывпакет
Items.spells[21537]		= FestivalDumplings 				--Праздничные клецки
Items.spells[104312]	= StrangeGlowingMushroom 			--Странный светящийся гриб
Items.spells[113143]	= GlowingHoneycomb 					--Светящийся улей
Items.spells[119449]	= Shadowberry 						--Тенеягода
Items.spells[12650]		= SimpleDamageParser 				--Настроенный глушитель
Items.spells[43473]		= DrakefireChileAle 				--Жгучий эль "Пламя дракона"
Items.spells[114926]	= RestorativeGoldcap 				--Целебный мухомор

Items.spells[31451]		= SimpleTimeManaParser 				--Чистая энергия
Items.spells[44698]		= DoubleTimeHealAndTimeManaParser 	--Внутривенное лечебное зелье
Items.spells[46399]		= SimpleTimeManaParser 				--Рокот грома
Items.spells[46400]		= SimpleTimeManaParser 				--Ячменоварское золотое
Items.spells[46401]		= SimpleTimeManaParser 				--Алая лента
Items.spells[46402]		= SimpleTimeManaParser 				--Обет пандаренов
Items.spells[46403]		= SimpleTimeManaParser 				--Отрада Чуганпуга
Items.spells[33026]		= SimpleTimeHealParser 				--Связка золотистых сосисок
Items.spells[33035]		= SimpleTimeManaParser 				--Огрская медовуха
Items.spells[33036]		= SimpleTimeManaParser 				--Лошадиное молоко
Items.spells[33254]		= SimpleTimeHealParser 				--Жареная ножка лесного долгонога
Items.spells[34410]		= SimpleTimeHealParser 				--Праздничная ветчина в меду
Items.spells[39738]		= SimpleTimeManaParser 				--Крепкий громоварский эль
Items.spells[33236]		= SimpleTimeManaParser 				--Шипучий энергетический напиток "Классик"
Items.spells[33025]		= SimpleTimeHealParser 				--Пикантная копченая колбаска
Items.spells[33034]		= SimpleTimeManaParser 				--Грог Гордока
Items.spells[33246]		= SimpleTimeHealParser 				--Рулет
Items.spells[13813]		= SimpleTimeManaParser 				--Сок благословенного солнцеплода
Items.spells[19060]		= DoubleTimeHealAndTimeManaParser 	--Усиленный паек Ущелья Песни Войны
Items.spells[19318]		= SimpleTimeManaParser 				--Бутыль воды из Альтерака
Items.spells[19997]		= ManaPersentPerSecondParser 		--Нектар с праздника урожая
Items.spells[20062]		= DoubleTimeHealAndTimeManaParser 	--Усиленный паек бойца Низины Арати
Items.spells[20222]		= DoubleTimeHealAndTimeManaParser 	--Усиленный паек Осквернителей
Items.spells[20225]		= DoubleTimeHealAndTimeManaParser 	--Усиленный паек Горцев
Items.spells[20388]		= HealAndManaPersentPerSecondParser	--Леденец
Items.spells[20389]		= HealAndManaPersentPerSecondParser	--Сладкое зернышко
Items.spells[20390]		= HealAndManaPersentPerSecondParser	--Сладкий батончик
Items.spells[21241]		= ManaPersentPerSecondParser 		--Гоголь-моголь Зимнего Покрова
Items.spells[23161]		= SimpleTimeManaParser 				--Свежий лимонад
Items.spells[23585]		= SimpleTimeManaParser 				--Светлое Твердомолота
Items.spells[24006]		= SimpleTimeManaParser 				--Бурдюк рубаки
Items.spells[24007]		= SimpleTimeManaParser 				--Бурдюк пехотинца
Items.spells[33024]		= SimpleTimeHealParser 				--Соленая колбаска
Items.spells[33033]		= SimpleTimeManaParser 				--Громоварский портер
Items.spells[33234]		= SimpleTimeManaParser 				--Морс из мороженой ягоды
Items.spells[34022]		= SimpleTimeManaParser 				--Забористый портер
Items.spells[19061]		= DoubleTimeHealAndTimeManaParser 	--Паек из Ущелья Песни Войны
Items.spells[20064]		= DoubleTimeHealAndTimeManaParser 	--Паек бойца Низины Арати
Items.spells[20224]		= DoubleTimeHealAndTimeManaParser 	--Паек Осквернителей
Items.spells[20227]		= DoubleTimeHealAndTimeManaParser 	--Паек горца
Items.spells[33023]		= SimpleTimeHealParser 				--Острая колбаска
Items.spells[33032]		= SimpleTimeManaParser 				--Громоварский эль
Items.spells[34021]		= SimpleTimeManaParser 				--"Магия пива"
Items.spells[34412]		= SimpleTimeManaParser 				--Газированный яблочный сидр
Items.spells[19062]		= DoubleTimeHealAndTimeManaParser 	--Полевой паек из Ущелья Песни Войны
Items.spells[20063]		= DoubleTimeHealAndTimeManaParser 	--Полевой паек бойца Низины Арати
Items.spells[20223]		= DoubleTimeHealAndTimeManaParser 	--Полевой паек Осквернителей
Items.spells[20226]		= DoubleTimeHealAndTimeManaParser 	--Полевой паек Горцев
Items.spells[33031]		= SimpleTimeManaParser 				--Гром 45
Items.spells[34020]		= SimpleTimeManaParser 				--Речная вода из джунглей
Items.spells[34064]		= SimpleTimeHealParser 				--Сочная колбаска
Items.spells[33029]		= SimpleTimeManaParser 				--Ячменоварское темное
Items.spells[34019]		= SimpleTimeManaParser 				--"Путь Пивовара"
Items.spells[34063]		= SimpleTimeHealParser 				--Вяленая колбаска
Items.spells[33028]		= SimpleTimeManaParser 				--Ячменоварское светлое
Items.spells[34018]		= SimpleTimeManaParser 				--Пиво "Дальний путь"
Items.spells[34065]		= SimpleTimeHealParser 				--Острый луковый сыр
Items.spells[60376]		= SimpleTimeHealParser 				--Очень ягодный пирог
Items.spells[33030]		= SimpleTimeManaParser 				--Ячменоварское прозрачное
Items.spells[33043]		= SimpleTimeHealParser 				--Крендель к пиву
Items.spells[34017]		= SimpleTimeManaParser 				--Пиво "Не спеша"
Items.spells[42342]		= SimpleTimeHealParser 				--Кулек воздушной кукурузы
Items.spells[42350]		= SimpleTimeHealParser 				--Мешок арахиса
Items.spells[104289]	= SimpleTimeHealParser 				--Тускло мерцающая трава
Items.spells[22236]		= HealPersentPerSecondParser 		--Сливочное блаженство
Items.spells[22237]		= HealPersentPerSecondParser 		--Темное желание
Items.spells[22238]		= HealPersentPerSecondParser 		--Ягодный-преягодный крем
Items.spells[22239]		= HealPersentPerSecondParser 		--Сладкий десерт
Items.spells[24408]		= SimpleTimeHealParser 				--Съедобные корешки
Items.spells[24540]		= SimpleTimeHealParser 				--Съедобный папоротник
